Description

As per the standard Markdown syntax:

To create an inline link, use a set of regular parentheses immediately after the link text’s closing square bracket.

 The alternative link syntax style allows two sets of square brackets to be used, the first as the link text and the second as a reference

to a link stored elsewhere in the document. In this case only:

You can optionally use a space to separate the sets of brackets.

 It's important to note that this "optional space" behaviour does not apply to the []() syntax.

This was discovered with a long series of links in bullet format, where I had a link pointing to wiki pages as

"[target-page#target-anchor|Cool Text]", with a note in brackets after it that turned my entire wiki page link string into a label and

broke the link.

Note: I have not tested this in the latest 2.x or 3.x versions, but I also couldn't find any existing issue reports that cover this problem.

Related issues:

Related to Redmine - Feature #32424: CommonMark Markdown Text Formatting Closed

History

#1 - 2015-05-23 09:20 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Please, give an example that illustrates the issue.

#2 - 2015-05-24 15:06 - Anonymous

Apologies, that would have been a good thing to include from the start. This editor is set to use Textile, but try the following in the Markdown editor:

[this should be a link](http://google.com)

[this should not be a link] (http://google.com)

 Everything else with the link syntax appears to be fine, it's just this one. :)

#3 - 2015-06-05 14:56 - PICCORO LenzMcKAY

i found a problem using the markdown sintax..

when formatting a added links using the format bar.. the links changed and putting using "[[]]" so when i push "save" redmine crash...

i lost the logs and installation due i not visit that issue report..

#4 - 2015-06-18 05:53 - Toshi MARUYAMA

- Category set to Text formatting

- Status changed from Needs feedback to New

#5 - 2016-01-11 16:58 - T H
http://daringfireball.net/projects/markdown/syntax#link


This also applies to links into the wiki.  I discovered this bug report because I wanted to include a comment to a ticket like so:

… this is a ticket which is discussed in our wiki on page [[whatever the page]] (only for developers).

 Redmine incorrectly interprets this as a link to URL “only for developers” with the link text being “[whatever the page]”.

#6 - 2016-01-11 17:01 - T H

BTW, this also affects version 3.1.3-stable. (That’s the version we’re on.)

#7 - 2019-11-06 11:13 - Jan from Planio www.plan.io

- Related to Feature #32424: CommonMark Markdown Text Formatting added

#8 - 2021-08-12 22:58 - Marius BĂLTEANU

- File common_mark.png added

- Status changed from New to Closed

- Resolution set to Wont fix

I'm closing this as "Won't fix" because the new CommonMark formatter available in Redmine 5.0.0 (#32424) correctly renders the link. The current

Markdown implementation based on RedCarpet is deprecated and it is going to be dropped in the future versions. Migrating to the new CommonMark

Markdown (Github Flavoured) engine is recommended.
Files

common_mark.png 44.6 KB 2021-08-12 Marius BĂLTEANU
